Skip to main content
GET
/
status
Account Status
curl --request GET \
  --url https://v1.hockey.sportsapipro.com/status \
  --header 'x-api-key: <api-key>'
⚠️ Deprecated β€” This is the V1 Legacy API. It still works but is no longer maintained. We strongly recommend migrating to the Ice Hockey V2 API for improved coverage, richer data, and support for 20+ sports.

Overview

The Hockey API provides comprehensive access to professional hockey data including live scores, player statistics, standings, and betting information for NHL, KHL, and international leagues.
Base URL: https://v1.hockey.sportsapipro.comAll requests require the x-api-key header with your API key.

Authentication

Include your API key in the request header:
curl -X GET "https://v1.hockey.sportsapipro.com/games/current" \
  -H "x-api-key: YOUR_API_KEY"

Available Endpoints

Games & Matches

EndpointDescription
GET /games/currentLive hockey games
GET /games/fixturesUpcoming games
GET /games/resultsCompleted games
GET /gameDetailed game information
GET /games/h2hHead-to-head history
GET /games/statsGame statistics

Competitions & Leagues

EndpointDescription
GET /competitionsAll hockey leagues
GET /competitions/topPopular leagues
GET /standingsLeague standings

Players

EndpointDescription
GET /athletes/topTop players
GET /athletesPlayer details
GET /athletes/gamesPlayer game history
GET /athletes/nextGamePlayer’s next game

Betting

EndpointDescription
GET /bets/linesBetting lines
GET /trendsBetting trends
GET /predictionsGame predictions

Other

EndpointDescription
GET /newsHockey news
GET /searchSearch players, teams, leagues
GET /statusAPI status & account info

Quick Examples

Get Live Games

curl -X GET "https://v1.hockey.sportsapipro.com/games/current" \
  -H "x-api-key: YOUR_API_KEY"

Get NHL Standings

curl -X GET "https://v1.hockey.sportsapipro.com/standings?competitions=55" \
  -H "x-api-key: YOUR_API_KEY"

Get Player History

curl -X GET "https://v1.hockey.sportsapipro.com/athletes/games?athleteId=874" \
  -H "x-api-key: YOUR_API_KEY"

Rate Limits

PlanDaily Limit
Free100
Pro7,500
Ultra75,000
Mega150,000

Error Codes

CodeDescription
401Invalid or missing API key
429Rate limit exceeded
400Invalid parameters
500Server error

Support

Need help? Contact us at support@sportsapipro.com

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Response

200

Account status retrieved successfully